import PropTypes from 'prop-types';
import {View} from 'react-native';

Column.propTypes = {
  ...View.propTypes,
  alignX: PropTypes.oneOf(['start', 'center', 'end', 'space']),
  alignY: PropTypes.oneOf(['start', 'center', 'end', 'space']),
  fullWidth: PropTypes.bool,
};

Column.defaultProps = {
  ...View.defaultProps,
  alignX: 'start',
  alignY: 'start',
  fullWidth: false,
};

const _alignX = {
  'start': 'flex-start',
  'center': 'center',
  'end': 'flex-end',
  'space': 'space-between',
};

const _alignY = {
  'start': 'flex-start',
  'center': 'center',
  'end': 'flex-end',
  'space': 'space-between',
};

export default function Column({fullWidth, alignX, alignY, ...props}) {
  return (
    <View {...props} style={[{
      flexDirection: 'column',
      alignItems: _alignX[alignX],
      justifyContent: _alignY[alignY],
    }, fullWidth ? {width: '100%'} : {}, props.style]}/>
  );
}